No. Non usare i pacchetti nell'universo Ubuntu In the past they have not been reliably updated. That means you could be missing stability and security fixes. Instead, please use Tor Debian repository.